package com.edgec.browserbackend.browser.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.ArrayList;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class IpResourceRequestDto {
    private String name;
    private String region;
    private String logintype = "password";
    private int period = 1;
    private String unit="month";
    private int amount = 1;
    private boolean autorenew = false;
    private int ipkeptperiod = 0;

    private String instanceSpecKey;
    private String imageKey;
    private String provider="aliyun";

    private List<String> ports;

    private String system = "linux";

    private List<String> iplist = new ArrayList<>();
}
