package com.edgec.browserbackend.browser.repository;

import com.edgec.browserbackend.browser.domain.Shop;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface ShopRepository extends MongoRepository<Shop, String> {
    List<Shop> findByIdInAndIpRegionLike(List<String> shopIds, String ipRegion);
    List<Shop> findByIdInAndShopAccountLike(List<String> shopIds, String shopAccount);
    List<Shop> findByIdInAndShopNameLike(List<String> shopIds, String shopName);
    List<Shop> findByIdIn(List<String> shopIds);
}
