package com.edgec.browserbackend.browser.service;

import com.edgec.browserbackend.browser.domain.IpResource;
import com.edgec.browserbackend.browser.dto.FilterDto;
import com.edgec.browserbackend.browser.dto.IpResourceDto;
import com.edgec.browserbackend.browser.dto.IpResourceRequestDto;

import java.util.List;

public interface IpResourceService {

    IpResource getIpResourceByIpAddr(String ipAddr);

    IpResource buyIp(String username, IpResourceRequestDto ipResourceRequestDto);

    void renewIp(String username, IpResourceRequestDto ipResourceRequestDto);

    void deleteIp(String username, String ipAddr);

    List<IpResourceDto> getIpList(String username, int type, int page, int amount, FilterDto filterDto);
}
