package com.edgec.browserbackend.browser.service;

import com.edgec.browserbackend.browser.domain.Shop;
import com.edgec.browserbackend.browser.dto.FilterDto;
import com.edgec.browserbackend.browser.dto.ShopDto;
import org.springframework.stereotype.Service;

import java.util.List;

public interface ShopService {

    String addShop(String useranme, Shop shop);

    List<String> addShops(String username, List<Shop> shops);

    String updateShop(String username, Shop shop);

    void deleteShop(String username, String shopId);

    void bindShop(String username, String shopId, String ipAddr);

    void unBindShop(String username, String shopId);

    void transferShop(String username, String shopId, String groupId);

    void assignShop(String username, String shopId, List<String> users);

    List<ShopDto> getShopList(String username, String groupId, int page, int amount, FilterDto filterDto);
}
